Subject: Re: bug#31155: 26.1; electric-pair-mode sometimes inserts extra ) in process buffers

From: Alex Branham <[email-masked]>
Date: Sat, 14 Apr 2018 16:17:43 -0500

On Sat 14 Apr 2018 at 16:13, Noam Postavsky <[email-masked]> wrote:

> Alex Branham <[email-masked]> writes:
>
>> In buffers running processes (e.g. M-x run-python or M-x R if you have
>> ESS), electric-pair-mode sometimes (but not always) inserts ) instead of
>> closing the paren pairing. So typing exit() occasionally results in
>> exit())
>>
>> I can't figure out how to reliably reproduce this.
>
> I can reproduce by executing python code that prints an unmatched open
> paren:
>
>>>> print ("(")
> (
>>>> exit())

That might be part of the problem, but this also happens sometimes even
when I've just started R. R prints out a little message when it starts,
but doesn't have unmatched parens.

Thanks,
Alex